petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscRandomGetSeed

Gets the random seed.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomGetSeed(PetscRandom r,unsigned long *seed)

Not collective

### Input Parameters

r -The random number generator context

### Output Parameter

seed -The random seed

### See Also

PetscRandomCreate(), PetscRandomSetSeed(), PetscRandomSeed()

### Level

intermediate

### Location

src/sys/classes/random/interface/randomc.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages